# Odoo 12 Development Essentials - Fourth Edition

<a href="https://www.packtpub.com/business/odoo-12-development-essentials-fourth-edition?utm_source=github&utm_medium=repository&utm_campaign=9781789532470 "><img src="https://dz13w8afd47il.cloudfront.net/sites/default/files/imagecache/ppv4_main_book_cover/B11829.png" alt="Odoo 12 Development Essentials - Fourth Edition" height="256px" align="right"></a>

This is the code repository for [Odoo 12 Development Essentials - Fourth Edition](https://www.packtpub.com/business/odoo-12-development-essentials-fourth-edition?utm_source=github&utm_medium=repository&utm_campaign=9781789532470 ), published by Packt.

**Fast-track your Odoo development skills to build powerful business applications**

## What is this book about?
<span class="sugar_field" id="description">Odoo is one of the best platforms for open source ERP and CRM. Its latest version, Odoo 12, brings with it new features and updates in Python packages to develop more customizable applications with additional cloud capabilities.<br></span>

This book covers the following exciting features:
Manage Odoo server instances

Create a new Odoo application from scratch using the most frequently used elements

Develop new models and use inheritance to extend existing models

Use ORM methods in the Odoo server and from external clients

Create Kanban views using QWeb effectively

Build custom web and website CMS pages

Use external APIs to integrate Odoo with external applications

Add automated tests and techniques to debug module business logic 

If you feel this book is for you, get your [copy](https://www.amazon.com/dp/1789532477) today!

<a href="https://www.packtpub.com/?utm_source=github&utm_medium=banner&utm_campaign=GitHubBanner"><img src="https://raw.githubusercontent.com/PacktPublishing/GitHub/master/GitHub.png" 
alt="https://www.packtpub.com/" border="5" /></a>

## Instructions and Navigations
All of the code is organized into folders. For example, Chapter02.

The code will look like the following:
```
<search>
 <filter name="item_not_done" 
 string="Not Done" 
 domain="[('x_is_done', '=', False)]" />
</search>
```

**Following is what you need for this book:**
If you are a developer familiar with Python and MVC design and want to build business applications using Odoo, this book is for you.

With the following software and hardware list you can run all code files present in the book (Chapter 1-14).
### Software and Hardware List
| Chapter | Software required | OS required |
| -------- | ------------------------------------ | ----------------------------------- |
| 1 | Odoo,com trial database, using any modern web browser. | Windows, Mac OS X, and Linux (Any) |
| 2-14 | Windows 10, with the Ubuntu 18.05 WSL app. | Windows and Linux (Ubuntu) |


We also provide a PDF file that has color images of the screenshots/diagrams used in this book. [Click here to download it]( https://www.packtpub.com/sites/default/files/downloads/9781789532470_ColorImages.pdf.).

### Related products
* Go to Bing homepage [[Packt]](Dynamics 365 Business Central Development Quick Start Guide?utm_source=github&utm_medium=repository&utm_campaign=) [[Amazon]](https://www.amazon.com/dp/1789347467)

* Go to Bing homepage [[Packt]](NetSuite ERP for Administrators?utm_source=github&utm_medium=repository&utm_campaign=) [[Amazon]](https://www.amazon.com/dp/178862887X)


## Get to Know the Author
**Daniel Reis**
has had a long career in the IT industry, most as a consultant implementing business applications in variety of sectors, and today works for Securitas, a multinational security services provider.

He has been working with Odoo (formerly OpenERP) since 2010, is an active contributor to the Odoo Community Association projects, is currently a member of the board of the Odoo Community Association, and collaborates with ThinkOpen Solutions, a leading Portuguese Odoo integrator.


## Other books by the author
[Odoo Development Essentials](https://www.packtpub.com/big-data-and-business-intelligence/odoo-development-essentials?utm_source=github&utm_medium=repository&utm_campaign=9781784392796 )

[Odoo 11 Development Essentials - Third Edition](https://www.packtpub.com/application-development/odoo-11-development-essentials-third-edition?utm_source=github&utm_medium=repository&utm_campaign=9781788477796 )


### Suggestions and Feedback
[Click here](https://docs.google.com/forms/d/e/1FAIpQLSdy7dATC6QmEL81FIUuymZ0Wy9vH1jHkvpY57OiMeKGqib_Ow/viewform) if you have any feedback or suggestions.


